﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Child.aspx.cs" Inherits="Child" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <strong>script for capture image
        </strong>
        <script type="text/javascript">
            $(function () {
                Webcam.set({
                    width: 320,
                    height: 240,
                    image_format: 'jpeg',
                    jpeg_quality: 90
                });
                Webcam.attach('#webcam');
                $("#btnCapture").click(function () {
                    Webcam.snap(function (data_uri) {
                        $("#imgCapture")[0].src = data_uri;
                        $("#btnUpload").removeAttr("disabled");
                    });
                });
                $("#btnCapture").click(function () {
                    $.ajax({
                        type: "POST",
                        url: "Child.aspx/SaveCapturedImage",
                        data: "{data: '" + $("#imgCapture")[0].src + "'}",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (r) {
                            windo.close();
                            window.location.href = '/Parent.aspx';
                        }
                    });
                });
            });
        </script>

        <strong>script for crop image
        </strong>
        <script type="text/javascript">
            $(document).ready(function () {
                $('#<%=imgCapture.ClientID%>').Jcrop({
                    onSelect: SelectCropArea
                });
            });
            function SelectCropArea(c) {
                $('#<%=X.ClientID%>').val(parseInt(c.x));
                $('#<%=Y.ClientID%>').val(parseInt(c.y));
                $('#<%=W.ClientID%>').val(parseInt(c.w));
                $('#<%=H.ClientID%>').val(parseInt(c.h));
            }
        </script>

        <strong>script for pass image to parent page</strong>

        <script type="text/javascript">
            function passvImage() {
                if (window.opener != null && !window.opener.closed) {
                    var vImage2 = window.opener.document.getElementById("vImage");
                    vImage2.src = document.getElementById("imgCapture").src;
                }
                window.close();
            }
        </script>
        <div class="row text-center badge-light" style="padding: 20px;">
            <div class="col-md-6">
                <div class="form-group">
                    <div class="form-group"><i id="webcam"></i></div>
                </div>
                <div class="form-group">
                    <input type="button" value="Capture Image" id="btnCapture" class="btn badge-warning btn-block" />
                </div>
            </div>
            <div class="col-md-6">
                <div class="">
                    <div class="form-group text-center">
                        <asp:Image ID="imgCapture" Height="250px" Width="320px" CssClass="text-center" runat="server" />
                    </div>
                </div>
                <div class="form-group text-center">
                    <asp:Button ID="btnCrop" runat="server" Text="Crop" CssClass="btn badge-primary" />
                    <asp:Button ID="btnUpload" runat="server" Text="Upload" CssClass="btn btn-success badge-success" OnClientClick="passvImage();" />
                </div>
            </div>
        </div>

        <strong>child page hidden control
        </strong>
        <asp:HiddenField ID="X" runat="server" />
        <asp:HiddenField ID="Y" runat="server" />
        <asp:HiddenField ID="W" runat="server" />
        <asp:HiddenField ID="H" runat="server" />
    </form>
</body>
</html>
