﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Web.Configuration;
using System.Collections.Generic;
using System.Text;

using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindUserDetails1();
        }
    }

    protected void BindUserDetails1()
    {
        string constr1 = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con1 = new SqlConnection(constr1))
        {
            using (SqlDataAdapter sda1 = new SqlDataAdapter("SELECT  * FROM issuesheet", con1))
            {
                // Response.Write(sda1);
                using (DataTable dt1 = new DataTable())
                {
                    sda1.Fill(dt1);
                    avDetails.DataSource = dt1;
                    avDetails.DataBind();
                }
            }
        }

        //Required for jQuery DataTables to work.
        if (avDetails.Rows.Count > 0)
        {
            avDetails.UseAccessibleHeader = true;
            avDetails.HeaderRow.TableSection = TableRowSection.TableHeader;
        }
    }

    protected void OnChckedChanged(object sender, EventArgs e)
    {
        CheckBox chk = (CheckBox)sender;
        GridViewRow row = (GridViewRow)chk.NamingContainer;

        string number = row.Cells[2].Text;
        string pid = Label27.Text;

        string constring = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constring))
        {
            string acceptedCylinder = GetAcceptedCylinder(pid);
            if (chk.Checked)
            {
                if (acceptedCylinder == "[]")
                {
                    using (SqlCommand cmd = new SqlCommand("UPDATE issuesheet SET cylinders = @cylinders where pid='" + pid + "'", con))
                    {
                        cmd.Parameters.AddWithValue("@cylinders", "['" + number.Trim() + "']");
                        con.Open();
                        cmd.ExecuteNonQuery();
                        con.Close();
                    }
                    ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "alertMessage", "alert('Record inserted successfully.')", true);
                }
                else
                {
                    List<string> cylinderNo = acceptedCylinder.Replace("[", "").Replace("]", "").Replace("'", "").Split(',').ToList();
                    cylinderNo.Add(number);
                    using (SqlCommand cmd = new SqlCommand("UPDATE issuesheet SET cylinders = @cylinders where pid='" + pid + "'", con))
                    {
                        cmd.Parameters.AddWithValue("@cylinders", "['" + string.Join("','", cylinderNo.Distinct()) + "']");
                        con.Open();
                        cmd.ExecuteNonQuery();
                        con.Close();
                    }
                    ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "alertMessage", "alert('Record updated successfully.')", true);
                }
            }
            else
            {
                if (!string.IsNullOrEmpty(acceptedCylinder))
                {
                    List<string> cylinderNo = acceptedCylinder.Replace("[", "").Replace("]", "").Replace("'", "").Split(',').ToList();
                    cylinderNo.Remove(number);
                    using (SqlCommand cmd = new SqlCommand("UPDATE issuesheet SET cylinders = @cylinders where pid='" + pid + "' ", con))
                    {
                        cmd.Parameters.AddWithValue("@cylinders", cylinderNo.Distinct().Count() > 0 ? "['" + string.Join("','", cylinderNo.Distinct()) + "']" : "[]");
                        con.Open();
                        cmd.ExecuteNonQuery();
                        con.Close();
                    }
                    ScriptManager.RegisterClientScriptBlock(this, this.GetType(), "alertMessage", "alert('Record Deleted successfully')", true);
                }
            }
        }
    }

    private string GetAcceptedCylinder(string pid)
    {
        string acceptCylinder = "";
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand())
            {
                cmd.CommandText = "SELECT cylinders FROM issuesheet WHERE pid=@pid ";
                cmd.Connection = con;
                cmd.Parameters.AddWithValue("@pid", pid);
                con.Open();
                acceptCylinder = Convert.ToString(cmd.ExecuteScalar());
                con.Close();
            }
        }

        return acceptCylinder;
    }
}